package com.eactive.eai.adapter.http.dynamic.filter;

@SuppressWarnings("serial")
public class JwtAuthException extends Exception {
	private String code;

	public JwtAuthException(String message) {
		super(message);
	}

	public JwtAuthException(String code, String message) {
		super(message);
		this.code = code;
	}

	public JwtAuthException(String code, String message, Throwable cause) {
		super(message, cause);
		this.code = code;
	}

	public String getCode() {
		return code;
	}

	public String toString() {
		return getClass().getName() + ": [" + code + "] " + getLocalizedMessage();
	}
}
